package rosesoft.sqliteexample02;

import android.app.Activity;
import android.content.ContentValues;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class vtactivity extends Activity {

    /** Called when the activity is first created. */

    private vtolustur ogrenci;

//vtolusturdan ogrenci adl veritabanmz tanmlyoruz.

    @Override

    public void onCreate(Bundle savedInstanceState) {

        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        ogrenci=new vtolustur(this);

//veritaban nesnemizi oluturuyoruz.

        final EditText txtadi=(EditText)findViewById(R.id.txtadi);
        final EditText txtsoyadi=(EditText)findViewById(R.id.txtsoyadi);

//txtadi ve txtsoyadi tanmlanyor.

        Button kaydetbuton=(Button)findViewById(R.id.kaydetbuton);
        Button gitButton = (Button)findViewById(R.id.git);

//butonu tanmlyoruz.

        final TextView sonuc=(TextView)findViewById(R.id.sonuc);

//gsterilecek sonular iin textview tanmlanyor.

        kaydetbuton.setOnClickListener(new View.OnClickListener() {
            public void onClick(View v) {

// TODO Auto-generated method stub

                kayitekle(txtadi.getText().toString(),txtsoyadi.getText().toString());

//kayitekle methodu altrlyor, ierisine txtadi ve txtsoyadi parametreleri giriliyor.

                Cursor cursor = KayitGetir();

//cursor tanmlanyor. (imle) tablo ierisindeki verilerde dolamak iin kullanlan bi nesne

                KayitGoster(cursor);

//kayitgoster methodu arlyor.
            }
        });

        gitButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                Cursor cur = KayitGetir();
                BaskaSayfa(cur);
            }
        });
    }

    public void kayitekle(String adi,String soyadi)//kayitekle methodunu oluturuyoruz
    {
        SQLiteDatabase db=ogrenci.getWritableDatabase();

//yazlabilir olarak dbyi tanmlyoruz.

        ContentValues veriler = new ContentValues();

//ierikleri girmek iin veriler adl ContentValues oluturuyoruz.

        veriler.put("adi", adi);

//adi alanna adi parametresi kaydedilecek

        veriler.put("soyadi",soyadi);

//soyadi alanna soyadi parametresi kaydedilecek

        db.insertOrThrow("ogrenci", null, veriler);

//ogrenci tablosunda insert komutunu altryoruz.
    }

    private String[] SELECT = {"adi", "soyadi"};

//select dizi stringine gsterilecek alanlar ekliyoruz.

    private Cursor KayitGetir(){
        SQLiteDatabase db = ogrenci.getReadableDatabase();
        Cursor cursor = db.query("ogrenci", SELECT, null, null, null, null, null);
        startManagingCursor(cursor);
        return cursor;
    }

//cursor iin kullanlan method.

    private void KayitGoster(Cursor cursor){

        StringBuilder builder = new StringBuilder("Kayitlar:");

//stringbuilderdan builder nesnesini oluturuyoruz ve ilk nce kaytlar yazdryoruz.

        while(cursor.moveToNext()){

//veritabanndaki tm satrlar dng ierisinde arlyor

            String adi = cursor.getString((cursor.getColumnIndex("adi")));
            String soyadi = cursor.getString((cursor.getColumnIndex("soyadi")));

//adi ve soyadi deikenleri oluturulup tablodaki kaytlar aldrlyor.

            builder.append("\nAd:").append(adi);
            builder.append("\nsoyad:").append(soyadi);

//builder ierisine satr boluklar(n) braklarak veritabanndan deerler eklettiriliyor.
        }

        TextView sonuc=(TextView)findViewById(R.id.sonuc);
        sonuc.setText(builder);

//sonuc textviewine builderdaki bilgiler aktarlyor.
    }

    private void BaskaSayfa(Cursor cur){
        StringBuilder builder = new StringBuilder("Kayitlar:");

        String adi = cur.getString((cur.getColumnIndex("adi")));
        builder.append(adi);

        String deneme = builder.toString();

        if(deneme == "asl"){
            Intent i = new Intent(vtactivity.this, second.class);
            startActivity(i);
        }
    }

}